<?php if (!defined('ABSPATH')) die('Direct access forbidden.');
/**
 * dynamic css, generated by customizer options
 */

if ( defined( 'FW' ) ) {

    $body_bg_url = '';
    $general_box_bg_image_url = '';
    $page_box_bg_image_url = '';
    $typography = blo_option( 'typography' );
    $body_bg = blo_option( 'style_body_bg', '#fff' );
    $style_primary = blo_option( 'style_primary', '#f3525a');
    $title_color = blo_option( 'title_color', '#172541');
    $style_primary_dark = blo_option( 'style_primary_dark','#333');
    $secondary_color = blo_option( 'secondary_color','#000');
    $general_body_box_layout = blo_option("general_body_box_layout");
    $page_body_box_layout = blo_meta_option(get_the_ID(),"page_body_box_layout");

    $page_override_header_item     = blo_meta_option(get_the_ID(),'page_header_override');
    $page_header_layout_style_item = blo_meta_option(get_the_ID(),'page_header_layout_style');
    // banner overlay color
    $sub_page_banner_overlay_style = blo_option('sub_page_banner_overlay_style', 'rgba(0, 0, 0, 0.4)');

    if(isset($general_body_box_layout["yes"])) {
       $box_bg_image = $general_body_box_layout["yes"];
       if(isset($box_bg_image["general_body_box_bg_image"])){

           if(is_array($box_bg_image["general_body_box_bg_image"])){

             $general_box_bg_image_url = $box_bg_image["general_body_box_bg_image"]["url"];

           }

       }
    }

    $global_body_font = blo_option( 'body_font' );

    Blo_Unyson_Google_Fonts::add_typography_v2( $global_body_font );
    $body_font = blo_advanced_font_styles( $global_body_font );

    $heading_font_one = blo_option( 'heading_font_one' );
    Blo_Unyson_Google_Fonts::add_typography_v2( $heading_font_one );
    $heading_font_one = blo_advanced_font_styles( $heading_font_one );

    $heading_font_two = blo_option( 'heading_font_two' );
    Blo_Unyson_Google_Fonts::add_typography_v2( $heading_font_two );
    $heading_font_two = blo_advanced_font_styles( $heading_font_two );

    $heading_font_three = blo_option( 'heading_font_three' );
    Blo_Unyson_Google_Fonts::add_typography_v2( $heading_font_three );
    $heading_font_three = blo_advanced_font_styles( $heading_font_three );

    // init custom css
    $custom_css	 = blo_option( 'custom_css' );
    $output = $custom_css;

    // global style
    $output	.= "
        body{ $body_font }

        h1,h2{
            $heading_font_one
        }
        h3{
            $heading_font_two
        }

        h4{
            $heading_font_three
        }

        a, .post-meta span i, .entry-header .entry-title a:hover{
            color: $style_primary;
            transition: all ease 500ms;
        }
        .sidebar ul li a:hover, a:hover,
        .post-navigation span:hover, .post-navigation h3:hover,
        .post .entry-header .entry-title a:hover{
          color: $secondary_color;
        }
        .header ul.navbar-nav > li > a:hover,
         .header ul.navbar-nav > li > a.active,
         .header ul.navbar-nav > li > a:focus{
            color: $style_primary !important;
        }

         .entry-header .entry-title a,
         h1,h2,h3,h4,h5,h6,
         .post .entry-header .entry-title a{
            color: $title_color;

        }

        ul.navbar-nav li .dropdown-menu li a:hover,
        .xs-service .xs-service-box .xs-service-box-info .xs-title a:hover,
        .recent-folio-menu ul li.active,
        .xs-footer .footer-left-widget ul li span,
        .xs-footer .footer-widget ul li a:hover,
        .copyright span a,
        .xs-latest-news .single-latest-news .single-news-content .ts-post-title a:hover,
        .xs-top-bar .top-bar .header-nav-right-info li i.fa,
        .xs-nav-classic .header-nav-right-info li i,
        .sidebar .widget .media-body .entry-title a:hover,
        .header ul.navbar-nav li .dropdown-menu li a:hover,
        .header ul.navbar-nav li .dropdown-menu li a.active,
        .btn:hover,
        .readmore-btn-area a,
        .post .entry-header .entry-title a:hover,
         .wp-block-quote:before,
        .woocommerce ul.products li.product .price,
        .woocommerce div.product p.price,
        .woocommerce div.product span.price,
        .woocommerce ul.products li.product .woocommerce-loop-product__title:hover{
           color: $style_primary;
        }

        .wp-block-quote:before{
          color: $style_primary !important;
        }
        .added_to_cart.wc-forward{
          background-color: $style_primary !important;
        }

        .btn-primary,
        .recent-folio-menu ul li.active,
        .copyright .footer-social ul li a:hover,
        .testimonial-footer:after,
        .btn-border-dark:hover,
        .ts-working-box:hover .working-icon-wrapper,
        .header ul.navbar-nav > li:hover > a:before, .header ul.navbar-nav > li.active > a:before,
        .blog-post-comment .comment-respond .comment-form .form-control:focus,
        .qutoe-form-inner.ts-qoute-form .form-control:focus{
           border-color: $style_primary;
        }
        .recent-folio-menu ul li.active:after,
        .ts-latest-news .single-latest-news{
           border-bottom-color: $style_primary;
        }
        .nav-classic .main-logo a:after{
           border-top-color: $style_primary;
        }
        .post .post-footer .readmore,
        .sidebar .widget.widget_search .input-group-btn,
        .sidebar .widget .widget-title:before,
        .blog-post-comment .comment-respond .comment-form .btn.btn-primary,
        .BackTo{
          background: $style_primary;
          border-color: $style_primary;
        }
        .btn-primary:hover,
        .post .post-footer .readmore:hover,
        .sidebar .widget.widget_search .input-group-btn:hover,
        .blog-post-comment .comment-respond .comment-form .btn.btn-primary:hover,
        .BackTo:hover{
         background: $secondary_color;
         border-color: $secondary_color;
        }
        blockquote.wp-block-quote, .wp-block-quote, .wp-block-quote:not(.is-large):not(.is-style-large), .wp-block-pullquote blockquote,
         blockquote.wp-block-pullquote, .wp-block-quote.is-large, .wp-block-quote.is-style-large{
            border-left-color: $style_primary;
        }

         .single-intro-text .count-number, .sticky.post .meta-featured-post,
        .sidebar .widget .widget-title:before, .pagination li.active a, .pagination li:hover a,
        .pagination li.active a:hover, .pagination li:hover a:hover,
        .sidebar .widget.widget_search .input-group-btn, .tag-lists a:hover, .tagcloud a:hover,
        .BackTo, .ticket-btn.btn:hover,
        .navbar-container .navbar-light .navbar-nav > li > a:before,
        .nav-button,
        .btn-primary,
        .single-recent-work .link-more,
        .ts-team-slider .owl-nav .owl-prev:hover i, .ts-team-slider .owl-nav .owl-next:hover i,
              .ts-footer-info-box,
        .working-process-number,
        .copyright .footer-social ul li a:hover,
        .btn-border-dark:hover,
        .nav-classic .main-logo a:before,
        .btn,
        .main-logo,
        .hero-area.owl-carousel.owl-theme .owl-nav [class*=owl-]:hover,
        .post .post-footer .readmore,
        .post .post-media .video-link-btn a,
        .woocommerce-message .button.wc-forward,
        .woocommerce nav.woocommerce-pagination ul li a:focus,
        .woocommerce nav.woocommerce-pagination ul li a:hover,
        .woocommerce nav.woocommerce-pagination ul li span.current,
        .woocommerce #respond input#submit.alt,
        .woocommerce a.button.alt,
        .woocommerce button.button.alt,
        .woocommerce input.button.alt,
        .woocommerce ul.products li.product span.onsale,
        .woocommerce span.onsale{
            background: $style_primary;
        }

        .owl-carousel.owl-loaded .owl-nav .owl-next.disabled,
        .owl-carousel.owl-loaded .owl-nav .owl-prev.disabled,
        .xs-about-image-wrapper.owl-carousel.owl-theme .owl-nav [class*=owl-]:hover{
            background: $style_primary !important;

        }

        .xs-page-nav li a:hover {
          background: $style_primary;
        }

        .banner-bg::after{
            background: $sub_page_banner_overlay_style;
        }
        .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover {
    background-color: $secondary_color;
}
        ";

    // footer style

      $footer_bg_color = blo_option( 'footer_bg_color', '#1a1831' );
      $footer_padding_top = blo_option( 'footer_padding_top');
      $footer_padding_bottom = blo_option( 'footer_padding_bottom');
      $footer_copyright_color = blo_option('footer_copyright_color', '#a5a5a5');
      $footer_bg              = blo_option("footer_bg_color");
      $footer_bg_option = blo_option('footer_style');
      $footer_text_color = blo_option('footer_text_color', '#fff');
      $xs_footer_widget_title_color = blo_option('xs_footer_widget_title_color', '#101010');
      $xs_footer_widget_link_color = blo_option('xs_footer_link_color', '#f3525a');
      $footer_bg_url = 'background-image:url('.BLO_IMG.'/footer_bg.jpg'.');';

         $blo_color = blo_option('xs_footer_bg_color', '#172541');
         $footer_bg_url = 'background:'.$blo_color;
         $footer_text_color = blo_option('xs_footer_text_color', '#fff');


       if($page_body_box_layout=="yes"){
         $body_bg_url = 'background-image:url('. $general_box_bg_image_url .');';
       }


       if($footer_padding_top!='' || $footer_padding_bottom!=''){

         $footer_padding_top =  'padding-top:'.blo_style_unit($footer_padding_top);
         $footer_padding_bottom =  'padding-bottom:'.blo_style_unit($footer_padding_bottom);
         $output .= ".ts-footer{
            $footer_padding_top;
            $footer_padding_bottom;
         }";

       }


      $output	.= "
      body{
         background-color: $body_bg;
         $body_bg_url
      }

      .xs-footer{
          background-color: $footer_bg_color;
          background-repeat:no-repeat;
          background-size: cover;
          $footer_bg_url

      }

      .xs-footer-classic .widget-title,
      .footer-widget .widget-title,
      .xs-footer-classic h3,
      .xs-footer-classic h4,
      .xs-footer-classic .contact h3{
          color: $xs_footer_widget_title_color;
      }
      .xs-footer-classic .widget-title,
      .footer-widget .widget-title,
      .xs-footer-classic h3,
      .xs-footer-classic h4,
      .xs-footer-classic .contact h3{
          color: $xs_footer_widget_title_color;
      }
      .xs-footer-classic p,
      .xs-footer-classic .list-arrow li a,
      .xs-footer-classic .menu li a,
      .xs-footer-classic .service-time li,
      .xs-footer-classic .list-arrow li::before,
      .xs-footer-classic .menu li::before{
        color: $footer_text_color;
      }

      .xs-footer a{
        color: $xs_footer_widget_link_color;
      }

      .copy-right {
         background: $footer_bg;
      }
      .copy-right .copyright-text{
         color: $footer_copyright_color;
      }
      ";

    wp_add_inline_style( 'blo-master', $output );


}
